Name:		amide		
Version:	0.9.2
Release:	1%{?dist}
Summary:	Program for viewing and analyzing medical image data sets

Group:		Applications/Productivity	
License:	GPLv2+
URL:		http://amide.sourceforge.net/
Source0:	http://sourceforge.net/projects/amide/files/amide/0.9.2/amide-0.9.2.tgz
Patch0:		amide-0.9.2.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libxml2-devel 
BuildRequires:	libgnomecanvas-devel 
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel >= 2.10
BuildRequires:	ffmpeg-devel >= 0.4.9
BuildRequires:	gnome-vfs2-devel
BuildRequires:	GConf2
BuildRequires:	gnome-doc-utils
BuildRequires:	ffmpeg-libs >= 0.4.9

#optional, to be added later
#BuildRequires:	medcon-devel
#BuildRequires:	volpack-devel 
#BuildRequires:	gtk-doc 
#BuildRequires:	gsl-devel
#BuildRequires:	dcmtk-devel
#BuildRequires:	perl-XML-Parser

#Requires:	libgnomecanvas
Requires:	gtk2 >= 2.10
Requires:	scrollkeeper >= 0.1.4
Requires:	ffmpeg-libs >= 0.4.9
	
#Requires:	xmedcon >= 0.10.0
#Requires:	gsl
#Requires:	volpack
#Requires:	dcmtk >= 3.5.4
#Requires:	gnome-vfs2


%description

AMIDE is a tool for viewing and analyzing medical image data sets.
It's capabilities include the simultaneous handling of multiple data
sets imported from a variety of file formats, image fusion, 3D region
of interest drawing and analysis, volume rendering, and rigid body
alignments.

%prep
%setup -q
%patch0 -p1


%build
%configure \
	   --enable-gtk-doc=yes \
	   --enable-libecat=no \
	   --enable-amide-debug=no \
	   --disable-scrollkeeper

make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README todo
%{_bindir}/*
%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications
%{_datadir}/gtk-doc
%{_datadir}/locale
%{_mandir}/man1


%post
update-desktop-database %{_datadir}/applications
scrollkeeper-update


%changelog
* Sat Jan 1 2011 Susmit Shannigrahi <susmit@fedoraproject.org> - 0.9.2-1
- Initial packaging based on Andy Loening's unofficial package for F12.

